All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.commands
Class MapDrillUpCommand

    com.sas.actionprovider.commands.MapDrillUpCommand

All Implemented Interfaces:
  CommandStatusInterface, ContentsChangedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, java.lang.Cloneable, java.rmi.Remote

    public class MapDrillUpCommand

This class implements the map's drillup command.

Field Summary

Fields inherited from interface com.sas.actionprovider.CommandStatusInterface
`DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`MapDrillUpCommand(java.lang.String name)` Constructor that accepts a command name
`MapDrillUpCommand(java.lang.String name, boolean swing)` e Constructor that accepts a command name and an action class type

Method Summary
`void` | `execute(java.lang.Object o)` This method implements the execute method on the CommandInterface, which is not implemented by the abstract Base classes.
`int` | `getCommandStatus(ActionSupportFilter filter)` Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter.
`java.lang.Object` | `getMapViewer()`
`boolean` | `isSupported(ActionSupportFilter actionFilter)` Deprecated. Use getCommandStatus().
`void` | `setMapViewer(java.lang.Object mapViewer)`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Constructor Detail

### MapDrillUpCommand

    public MapDrillUpCommand(java.lang.String name)

  Constructor that accepts a command name

  Parameters:
    `name` - command name

### MapDrillUpCommand

    public MapDrillUpCommand(java.lang.String name,
                             boolean swing)

  e Constructor that accepts a command name and an action class type

  Parameters:
    `name` - command name
    `swing` - true if a swing viewer is used, false otherwise

Method Detail

### execute

    public void execute(java.lang.Object o)

  This method implements the execute method on the CommandInterface, which is not implemented by the abstract Base classes. This method executes the query

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Overrides:
    `execute` in class `com.sas.commands.olap.DrillUpCommand`
  Parameters:
    `o` - currently ignored

### isSupported

    public boolean isSupported(ActionSupportFilter actionFilter)

  Deprecated. Use getCommandStatus().

  Returns a boolean indicating whether the command is supported for the area specified on the ActionSupportFilter argument.

  Overrides:
    `isSupported` in class `com.sas.commands.olap.DrillUpCommand`
  Parameters:
    `actionFilter` - The object that describes the current area.
  Returns:
    a boolean indicating whether the command is supported.

### getCommandStatus

    public int getCommandStatus(ActionSupportFilter filter)

  Returns a int value indicating whether the command is enabled for the given area as specified by the current area information encapsulate in the ActionSupportFilter. If not enabled, the key indicates a reason why the command is not enabled.

  Specified by:
    `getCommandStatus` in interface `CommandStatusInterface`
  Overrides:
    `getCommandStatus` in class `com.sas.commands.olap.DrillUpCommand`
  Parameters:
    `filter` - The ActionSupportFilter that encapsulates all the necessary information to describe the current area.
  Returns:
    an int value indicating whether the command is enabled and, if not, why.
  See Also:
    `BaseAction.setReturnStatus(int)`

### getMapViewer

    public java.lang.Object getMapViewer()

  Returns:
    Returns the mapViewer.

### setMapViewer

    public void setMapViewer(java.lang.Object mapViewer)

  Parameters:
    `mapViewer` - The mapViewer to set.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.